Subject: Re: bug#67031: [PATCH] Fix typescript-ts-mode indentation in unbracketed statements

From: Dmitry Gutov <[email-masked]>
Date: Sun, 19 Nov 2023 15:38:44 +0200

On 19/11/2023 08:08, Eli Zaretskii wrote:
>> Date: Sun, 19 Nov 2023 03:24:49 +0200
>> Cc:[email-masked],[email-masked]
>> From: Dmitry Gutov<[email-masked]>
>>
>> On 19/11/2023 02:12, Noah Peart wrote:
>>> Yea, I can do that.
>>>
>>> Is there a recipe for running the tests with a tree-sitter library path?
>> You mean with the default tree-sitter librayr path overridden? I'm not sure.
> Why would an ERT test need that?  We are supposed to test Emacs with
> the otherwise installed system features.  As tree-sitter grammars are
> not part of Emacs, there should be no need to tell Emacs to use a
> grammar library other than the one installed on the system.  Right?

We have a way to override that with the variable 
treesit-extra-load-path, so it follows that some users will take 
advantage of it to add extra directories.

I'm using ~/.emacs.d/tree-sitter/ myself.